Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenPreferencePage

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenCustomPreferencePage, GenStandardPreferencePage

All Known Implementing Classes:
  GenCustomPreferencePageImpl, GenPreferencePageImpl, GenStandardPreferencePageImpl

    public interface GenPreferencePage

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Preference Page'.

The following features are supported:

- `ID`
- `Name`
- `Children`
- `Parent`
- `Parent Category`

See Also:
  `GMFGenPackage.getGenPreferencePage()`
** Generated **
Model:
  abstract="true"

Method Summary
`org.eclipse.emf.common.util.EList<GenPreferencePage>` `getChildren()` Returns the value of the 'Children' containment reference list.
`java.lang.String` `getClassName()`
`GenDiagram` `getDiagram()`
`java.lang.String` `getID()` Returns the value of the 'ID' attribute
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`GenPreferencePage` `getParent()` Returns the value of the 'Parent' container reference.
`java.lang.String` `getParentCategory()` Returns the value of the 'Parent Category' attribute
`java.lang.String` `getQualifiedClassName()`
`void` `setID(java.lang.String value)` Sets the value of the '`ID`' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` `setParentCategory(java.lang.String value)` Sets the value of the '`Parent Category`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `GMFGenPackage.getGenPreferencePage_ID()`
  ** Generated **
  Model:
    required="true"

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`
  ** Generated **

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `GMFGenPackage.getGenPreferencePage_Name()`
  ** Generated **
  Model:
    required="true"

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`
  ** Generated **

### getChildren

    org.eclipse.emf.common.util.EList<GenPreferencePage> getChildren()

  Returns the value of the 'Children' containment reference list. The list contents are of type `GenPreferencePage`. It is bidirectional and its opposite is '`Parent`'.

  If the meaning of the 'Children' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Children' containment reference list.
  See Also:
    `GMFGenPackage.getGenPreferencePage_Children()`, `getParent()`
  ** Generated **
  Model:
    opposite="parent" containment="true"

### getParent

    GenPreferencePage getParent()

  Returns the value of the 'Parent' container reference. It is bidirectional and its opposite is '`Children`'.

  If the meaning of the 'Parent' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent' container reference.
  See Also:
    `GMFGenPackage.getGenPreferencePage_Parent()`, `getChildren()`
  ** Generated **
  Model:
    opposite="children" resolveProxies="false" transient="false" changeable="false"

### getParentCategory

    java.lang.String getParentCategory()

  Returns the value of the 'Parent Category' attribute. For a page that doesn't have another GenPreferencePage set as its parent, id of any other preference page to use as parent page may be set with this attribute

  Returns:
    the value of the 'Parent Category' attribute.
  See Also:
    `setParentCategory(String)`, `GMFGenPackage.getGenPreferencePage_ParentCategory()`
  ** Generated **
  Model:

### setParentCategory

    void setParentCategory(java.lang.String value)

  Sets the value of the '`Parent Category`' attribute.

  Parameters:
    `value` - the new value of the 'Parent Category' attribute.
  See Also:
    `getParentCategory()`
  ** Generated **

### getDiagram

    GenDiagram getDiagram()

  ** Generated **
  Model:
    kind="operation"

### getQualifiedClassName

    java.lang.String getQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getClassName

    java.lang.String getClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.